#pragma once
#include "lua.h"

#define FACTION_METATABLE "Faction" /**< Faction metatable identifier. */

/**
 * @brief Lua faction wrapper.
 */
typedef struct LuaFaction_s {
  int f;  /**< Internal use faction identifier. */
} LuaFaction;

/* Load the space library. */
int lua_loadFaction(lua_State* L, int readonly);

/* Faction operations. */
LuaFaction* lua_tofaction(lua_State* L, int ind);
LuaFaction* lua_pushfaction(lua_State* L, LuaFaction faction);
int lua_isfaction(lua_State* L, int ind);

