#!/usr/bin/env python

import data

class Commodities:
  def __init__(self):
    self.commodities = {}
    self.commoditiesXML = "../../dat/commodity.xml"

  def loadCommodities(self, xmlfile=None):
    if xmlfile == None:
      xmlFile = self.commoditiesXML
    tmp = data.load(xmlfile, "commodity", True)
    for t in tmp:
        try:
            if tmp[t]['price'] != None:
                self.commodities[t] = tmp[t]
        except:
            continue

  def data(self):
    return self.commodities
  
  def debug(self):
    print "---Commodities--------------------"
    print self.commodities
    print "----------------------------------"

